import 'dart:async';

import 'package:electronic_assistant/base/base_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../router/app_pages.dart';

class SplashPage extends BasePage {
  const SplashPage({super.key});

  final splashDelayedTime = 1;

  @override
  Widget buildBody(BuildContext context) {
    Timer(Duration(seconds: splashDelayedTime), () {
      Get.offNamed(RoutePath.mainTab);
    });
    return GestureDetector(
        child: const Center(
            child: Text(
      '启屏页',
      style: TextStyle(fontSize: 36),
    )));
  }
}
